From 6ade7ae9d0029cd64e65047134242ac8898d75c3 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Wed, 29 Mar 2023 02:02:24 +0200
Subject: [PATCH 2/2] gnu: emacs-lemon: Add tests

---
 gnu/packages/emacs-xyz.scm | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 0fb31f74f7..c6cd65e13c 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -5376,6 +5376,17 @@ (define-public emacs-lemon
        (sha256
         (base32 "18yclk2zzqcahzhz2kq8g9gy1xnnxiy6rxs2lwhskj475kvwy2f9"))))
     (build-system emacs-build-system)
+    (arguments
+     (list
+      #:tests? #true
+
+      ;; Only one test out of the four passes
+      #:test-command #~(list "emacs" "-Q" "--batch" "-L" "."
+                             ;; "-l" "lemon--test.el"
+                             ;; "-l" "lemon-monitor--test.el"
+                             ;; "-l" "lemon-sparkline--test.el"
+                             "-l" "lemon-time--test.el"
+                             "-f" "ert-run-tests-batch-and-exit")))
     (native-inputs
      (list emacs-blight emacs-emms))
     (propagated-inputs
-- 
2.39.2

